=== debian/changelog ===
critnib (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #994958)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 24 Sep 2021 01:36:42 +0200
