## critnib 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(CMAKE_C_FLAGS "-Wall -Werror=format-security ${CMAKE_C_FLAGS}")
 
 add_library(critnib SHARED critnib.c)
-set(libs critnib ${CMAKE_THREAD_LIBS_INIT})
+set(libs critnib ${CMAKE_THREAD_LIBS_INIT} -latomic)
 add_executable(m main.c)
 target_link_libraries(m ${libs})
 
@@ -33,10 +33,10 @@
 enable_testing()
 add_subdirectory(tests)
 
-add_custom_target(man ALL
-	BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/libcritnib.3
-	COMMENT "Building libcritnib.3"
+add_custom_command(OUTPUT libcritnib.3
+	DEPENDS libcritnib.pod
 	COMMAND pod2man -c critnib -s 3 -n libcritnib
 		<${CMAKE_CURRENT_SOURCE_DIR}/libcritnib.pod
-		>${CMAKE_CURRENT_BINARY_DIR}/libcritnib.3
-	)
+		>${CMAKE_CURRENT_BINARY_DIR}/libcritnib.3)
+add_custom_target(man ALL
+	DEPENDS libcritnib.3)
