=== debian/changelog ===
critnib (1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112812)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Oct 2025 22:11:14 +0300

critnib (1.1-2) unstable; urgency=medium

  * Fix the autopkgtest on 32-bit.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 04 Dec 2021 20:49:01 +0100

critnib (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add an autopkgtest.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 28 Nov 2021 17:20:06 +0100

critnib (1.0-2) unstable; urgency=medium

  * Add -latomic to make armel/mipsel/m68k/powerpc/sh4 happy.
  * Don't try to detect SMP on Hurd, there's none.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Nov 2021 02:42:54 +0100
