=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%critnib-$1.tar.gz%" \
   https://github.com/kilobyte/critnib/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
